/*
 * @(#)SimpleIDProviderTest.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import info.dragonlady.sso.SimpleIDProvider;
import junit.framework.TestCase;

/**
 * SimpleIDProviderクラステストケース。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/06/05 18:58:41 $
 */
public class SimpleIDProviderTest extends TestCase {

	/**
	 * @param arg0
	 */
	public SimpleIDProviderTest(String arg0) {
		super(arg0);
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * {@link info.dragonlady.sso.SimpleIDProvider#provide(java.lang.String)} のためのテスト・メソッド。
	 */
	public final void testProvide() {
		try {
			String id = "dummyId";
			SimpleIDProvider provider = new SimpleIDProvider();
			assertEquals(provider.provide(id), id);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.SimpleIDProvider#convertToCommonId(java.lang.String)} のためのテスト・メソッド。
	 */
	public final void testConvertToCommonId() {
		try {
			String id = "dummyId";
			SimpleIDProvider provider = new SimpleIDProvider();
			assertEquals(provider.convertToCommonId(id), id);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.SimpleIDProvider#convertToLocalId(java.lang.String)} のためのテスト・メソッド。
	 */
	public final void testConvertToLocalId() {
		try {
			String id = "dummyId";
			SimpleIDProvider provider = new SimpleIDProvider();
			assertEquals(provider.convertToLocalId(id), id);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/**
	 * {@link info.dragonlady.sso.SimpleIDProvider#remove(java.lang.String)} のためのテスト・メソッド。
	 */
	public final void testRemove() {
		try {
			String id = "dummyId";
			SimpleIDProvider provider = new SimpleIDProvider();
			// 何もしないので、エラーでなければOK
			provider.remove(id);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
